Bug 21140 - Define key names for keyboard layout change keys
Summary: Define key names for keyboard layout change keys
Status: RESOLVED FIXED
Alias: None
Product: WebAppsWG
Classification: Unclassified
Component: HISTORICAL - DOM3 Events (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Travis Leithead [MSFT]
QA Contact: public-webapps-bugzilla
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 21083
  Show dependency treegraph
 
Reported: 2013-02-27 06:46 UTC by Masayuki Nakano
Modified: 2013-11-07 04:32 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Masayuki Nakano 2013-02-27 06:46:12 UTC
GTK                        Android                        Suggestions
GDK_ISO_Next_Group                                        'LanguageNext'
GDK_ISO_Next_Group_Lock    KEYCODE_LANGUAGE_SWITCH        'LanguageNext'
GDK_ISO_Prev_Group                                        'LanguagePrevious'
GDK_ISO_Prev_Group_Lock                                   'LanguagePrevious'
GDK_ISO_First_Group                                       'LanguageFirst'
GDK_ISO_First_Group_Lock                                  'LanguageFirst'
GDK_ISO_Last_Group                                        'LanguageLast'
GDK_ISO_Last_Group_Lock                                   'LanguageLast'
                           KEYCODE_PICTSYMBOLS            'PictSymbolMode'
Comment 1 Gary Kacmarcik 2013-09-08 17:19:17 UTC
"Group" should be kept in the name since that is the term used in the ISO/IEC 9995 spec.

GroupFirst
GroupLast
GroupNext
GroupPrevious
Comment 2 Gary Kacmarcik 2013-10-21 23:25:22 UTC
Fixed in latest ED
Comment 3 Masayuki Nakano 2013-11-07 04:32:09 UTC
You don't define a key name for KEYCODE_PICTSYMBOLS, is this intentional?